Subject: Re: bug#24939: [PATCH] Add tests for lisp/kmacro.el

From: Michael Albinus <[email-masked]>
Date: Wed, 30 Nov 2016 10:08:46 +0100

Gemini Lasswell <[email-masked]> writes:

Hi,

> Eli Zaretskii <[email-masked]> writes:
>
>>> > I don't like this implementation.
>>>
>>> This strategy is used in autorevert-tests.el and filenotify-tests.el,
>>> which is where I copied it from. So those should be changed too.
>>
>> Most probably.  But let's first see what better implementation we
>> could come up with.
>>
> Let me know what you think.

At first glance, looks OK to me. However, I didn't understand why the
existing implementation (watching messages in *Messages*) is bad.

Eli?

Best regards, Michael.